AA-ECHO(1)

NAME
aa-echo - Shows a message

SYNOPSIS
aa-echo [-D] [-B] [-T | -t | -w | -e | -n] MESSAGE...

OPTIONS

-B, --blank-first
    Prints a blank line (LF) first.

-D, --double-output
    Enable double-output mode. Instead of using stdout for regular output, and stderr for warnings and errors, everything is sent both to stdout and stderr. This is intended to redirect stderr to a log file, so full output can be both shown on console and logged.

-e, --error
    Show MESSAGE... as an error message. A red prefix "==> ERROR: " will be printed before the message.

-h, --help
    Show help screen and exit.

-n, --normal
    Show MESSAGE... as regular text, i.e. without any prefix or color. This can be used for simple echo, but make sure to see how arguments making up MESSAGE... are processed.

-T, --title
    Show MESSAGE... as a main title. A green "==> " prefix will be printed before the message. This is the default, if no other option is used.

-t, --title2
    Show MESSAGE... as a secondary title. A blue " -> " prefix will be printed before the message.

-V, --version
    Show version information and exit.

-w, --warning
    Show MESSAGE... as a warning. A yellow "==> WARNING: " prefix will be printed before the message.

DESCRIPTION
This is a little helper to easily print messages using the same color code as other anopa tools do. Note that all arguments making up MESSAGE are printed one after the other, without adding a blank space; In other words, `aa-echo foo bar` will result in the string "==> foobar" being printed.

This is due to the way aa-echo(1) processes its arguments, to allow you to set the text color. Any argument making up MESSAGE can indeed be one of:

+g, +green
    Set color to green.

+b, +blue
    Set color to blue.

+y, +yellow
    Set color to yellow.

+r, +red
    Set color to red.

+w, +white
    Set color to white.

+n, +normal
    Reset color to normal.

++TEXT
    To print +TEXT

For example: `aa-echo -w "The file " +r "/foo/bar" +n " doesn't exist"`

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>